<?php
namespace Teknisa\Model\Gestaopessoas\Repositories;


class VabLinhavinc extends \Doctrine\ORM\EntityRepository {
    
    public function validaLinhaExistente($nrorg, $nrlinhatarifa, $nrvinculom, $nrtipolinhavinc, $nrsentidolinha, $dtinilinhavinc, $dtfimlinhavinc){
        
        $db = \Setforms2\Shared\Registry::getEntityManagerConnection();
        
$sql = <<<SQL
    SELECT *
    FROM VAB_LINHAVINC VAB
    WHERE VAB.NRORG = :P_NRORG
            AND VAB.NRLINHATARIFA   = :P_NRLINHATARIFA
            AND VAB.NRVINCULOM      = :P_NRVINCULOM
            AND VAB.NRTIPOLINHAVINC = :P_NRTIPOLINHAVINC
            AND VAB.NRSENTIDOLINHA  = :P_NRSENTIDOLINHA
            AND VAB.DTINILINHAVINC <= (nvl(:P_DTFIMLINHAVINC, VAB.DTINILINHAVINC))
            AND (VAB.DTFIMLINHAVINC >= :P_DTINILINHAVINC OR VAB.DTFIMLINHAVINC IS NULL)
SQL;

        $params = array(
                'P_NRORG'           => $nrorg,
                'P_NRLINHATARIFA'   => $nrlinhatarifa,
                'P_NRVINCULOM'      => $nrvinculom,
                'P_NRTIPOLINHAVINC' => $nrtipolinhavinc,
                'P_NRSENTIDOLINHA'  => $nrsentidolinha,
                'P_DTINILINHAVINC'  => $dtinilinhavinc,
                'P_DTFIMLINHAVINC'  => $dtfimlinhavinc
        );
        
        $result = $db->fetchAll($sql,$params);
        
        return $result;

    }
}